// gnome.xonotic.in.ua

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_light/light5_5k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/base_light/light5.tga
		rgbgen identity
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_trim/tin
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/glass01
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/bgmpii/barrelleak
{
	qer_editorimage textures/bgmpii/psitoxic_leak.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	{
		map textures/bgmpii/psitoxic_leak.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/bgmpii/bgmp6grate
{
	qer_editorimage textures/bgmpii/fence_alpha1.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	nomipmaps
	{
		map textures/bgmpii/fence_alpha1.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/bgmpii/bloodstain1
{
	qer_editorimage textures/bgmpii/blood_stain1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	nomipmaps
	{
		map textures/bgmpii/blood_stain1.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/bgmpii/bloodstain4
{
	qer_editorimage textures/bgmpii/blood_stain4.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	nomipmaps
	{
		map textures/bgmpii/blood_stain4.tga
		blendfunc blend
		rgbgen vertex
	}
}

textures/bgmpii/cargonet
{
	qer_editorimage textures/bgmpii/psicargonet.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	cull disable
	nomipmaps
	{
		map textures/bgmpii/psicargonet.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/bgmpii/light_pale_10k
{
	qer_editorimage textures/bgmpii/light_yellow.tga
	q3map_lightimage textures/bgmpii/light_yellow.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/bgmpii/light_yellow.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/bgmpii/light_yellowblend.tga
		blendfunc add
	}
}

textures/bgmpii/light_yl_4k
{
	qer_editorimage textures/bgmpii/light_yellow.tga
	q3map_lightimage textures/bgmpii/light_yellowblend.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/bgmpii/light_yellow.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/bgmpii/light_yellowblend.tga
		blendfunc add
	}
}

textures/bgmpii/liquidmetal2
{
	qer_editorimage textures/effects/tinfx.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm slime
	cull disable
	deformvertexes wave 100 sin 1 2 0.3 0.3
	tesssize 128
	q3map_surfacelight 200
	q3map_globaltexture
	{
		map textures/effects/tinfx.tga
		rgbgen identity
		tcmod scroll 0.04 0.03
		tcgen environment
	}
	{
		map textures/base_trim/dirty_pewter.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale 0.4 0.4
		tcmod scroll 0.05 0.01
	}
	{
		map textures/bgmpii/liqmetfx2.tga
		blendfunc gl_dst_color gl_one
		tcmod scale 0.05 0.05
		tcmod scroll 0.01 0.01
	}
}

textures/bgmpii/psideadleaves
{
	qer_editorimage textures/bgmpii/deadleaves.tga
	surfaceparm nosteps
	surfaceparm nomarks
	cull disable
	nomipmaps
	{
		map textures/bgmpii/deadleaves.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/bgmpii/psiflare_wht
{
	qer_editorimage textures/bgmpii/psiflare_wht.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes autosprite
	qer_trans 0.6
	nomipmaps
	{
		map textures/bgmpii/psiflare_wht.tga
		blendfunc add
	}
}

textures/bgmpii/psiglass
{
	surfaceparm nolightmap
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/bgmpii/psilaunchpad
{
	qer_editorimage textures/bgmpii/psimet_ramp.tga
	q3map_lightimage textures/bgmpii/psi_woodtelefx.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bgmpii/psi_woodtelefx.tga
		tcmod scale 1 1
		tcmod scroll 0 1
	}
	{
		map textures/bgmpii/psimet_ramp.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/bgmpii/psileaf1
{
	qer_editorimage textures/bgmpii/psileaf1.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	deformvertexes wave 100 sin 3 5 .1 0.1
	nomipmaps
	{
		map textures/bgmpii/psileaf1.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bgmpii/psileaf3
{
	qer_editorimage textures/bgmpii/psileaf3.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	deformvertexes wave 100 sin 3 5 .1 0.1
	nomipmaps
	{
		map textures/bgmpii/psileaf3.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bgmpii/psiplate_clang
{
	qer_editorimage textures/bgmpii/psimet_plate2.tga
	surfaceparm metalsteps
	{
		map textures/bgmpii/psimet_plate2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/bgmpii/psi_steam_1
{
	qer_editorimage textures/particle_studio/editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nomipmaps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -15.722013 -9.924245 35.416489 sawtooth 0 1 0.419259 12.500000
	{
		clampmap textures/bgmpii/steam1.tga
		tcmod rotate 0.000000
		alphagen wave sawtooth 1.000000 -1.000000 0.419259 12.500000
		rgbgen wave sawtooth 1.000000 -0.100000 0.419259 12.500000
		tcmod stretch sawtooth 1.000000 -3.132908 0.419259 12.500000
		blendfunc blend
	}
}

textures/bgmpii/psi_steam_2
{
	qer_editorimage textures/particle_studio/editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nomipmaps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -18.482246 -11.679929 33.496056 sawtooth 0 1 0.159180 12.500000
	{
		clampmap textures/bgmpii/steam1.tga
		tcmod rotate 0.000000
		alphagen wave sawtooth 1.000000 -1.000000 0.159180 12.500000
		rgbgen wave sawtooth 1.000000 -0.100000 0.159180 12.500000
		tcmod stretch sawtooth 1.000000 -2.600055 0.159180 12.500000
		blendfunc blend
	}
}

textures/bgmpii/psi_steam_3
{
	qer_editorimage textures/particle_studio/editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nomipmaps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -17.084181 -14.333425 33.206680 sawtooth 0 1 -0.425188 12.500000
	{
		clampmap textures/bgmpii/steam1.tga
		tcmod rotate 0.000000
		alphagen wave sawtooth 1.000000 -1.000000 -0.425188 12.500000
		rgbgen wave sawtooth 1.000000 -0.100000 -0.425188 12.500000
		tcmod stretch sawtooth 1.000000 7.520494 -0.425188 12.500000
		blendfunc blend
	}
}

textures/bgmpii/psi_steam_4
{
	qer_editorimage textures/particle_studio/editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nomipmaps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -19.476336 5.007177 34.577457 sawtooth 0 1 0.055783 12.500000
	{
		clampmap textures/bgmpii/steam1.tga
		tcmod rotate 0.000000
		alphagen wave sawtooth 1.000000 -1.000000 0.055783 12.500000
		rgbgen wave sawtooth 1.000000 -0.100000 0.055783 12.500000
		tcmod stretch sawtooth 1.000000 -0.844630 0.055783 12.500000
		blendfunc blend
	}
}

textures/bgmpii/psi_steam_5
{
	qer_editorimage textures/particle_studio/editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nomipmaps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -21.715502 -1.936137 33.536369 sawtooth 0 1 -0.257062 12.500000
	{
		clampmap textures/bgmpii/steam1.tga
		tcmod rotate 0.000000
		alphagen wave sawtooth 1.000000 -1.000000 -0.257062 12.500000
		rgbgen wave sawtooth 1.000000 -0.100000 -0.257062 12.500000
		tcmod stretch sawtooth 1.000000 3.904660 -0.257062 12.500000
		blendfunc blend
	}
}

textures/bgmpii/psi_steam_6
{
	qer_editorimage textures/particle_studio/editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nomipmaps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -17.558331 2.604944 35.845768 sawtooth 0 1 -0.096413 12.500000
	{
		clampmap textures/bgmpii/steam1.tga
		tcmod rotate 0.000000
		alphagen wave sawtooth 1.000000 -1.000000 -0.096413 12.500000
		rgbgen wave sawtooth 1.000000 -0.100000 -0.096413 12.500000
		tcmod stretch sawtooth 1.000000 4.378918 -0.096413 12.500000
		blendfunc blend
	}
}

textures/bgmpii/psi_steam_7
{
	qer_editorimage textures/particle_studio/editor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	nomipmaps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -15.699704 -11.532754 34.935867 sawtooth 0 1 -0.329543 12.500000
	{
		clampmap textures/bgmpii/steam1.tga
		tcmod rotate 0.000000
		alphagen wave sawtooth 1.000000 -1.000000 -0.329543 12.500000
		rgbgen wave sawtooth 1.000000 -0.100000 -0.329543 12.500000
		tcmod stretch sawtooth 1.000000 -2.137394 -0.329543 12.500000
		blendfunc blend
	}
}

textures/bgmpii/psitrim1
{
	qer_editorimage textures/bgmpii/psitrim_off.tga
	surfaceparm nomarks
	{
		map textures/bgmpii/psitrim_off.tga
		rgbgen identity
	}
}

textures/bgmpii/psivine
{
	qer_editorimage textures/bgmpii/psi_vines.tga
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/bgmpii/psi_vines.tga
		rgbgen identity
		tcmod scale 1 1
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/bgmpii/relicfx_blue
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/bgmpii/relicfx_blue.tga
		tcgen environment
		tcmod turb 0 0.25 0 1
		tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
}

textures/bgmpii/sawblade
{
	qer_editorimage textures/bgmpii/psisaw.tga
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/bgmpii/psisaw.tga
		rgbgen identity
		tcmod rotate -150
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/bgmpii/swamp2sky
{
	qer_editorimage textures/bgmpii/swamp2_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 200
	q3map_globaltexture
	q3map_sun 1 1 1 150 200 90
	skyparms env/bgmpii/forest2 - -
}

textures/bgmpii/waterlogo_pulse
{
	qer_editorimage textures/bgmpii/waterlogo_pulse.tga
	q3map_lightimage textures/bgmpii/waterlogo_pulseblend.tga
	q3map_surfacelight 300
	{
		map textures/bgmpii/waterlogo_pulseblend.tga
		rgbgen wave triangle 0.1 0.7 1 0.3
	}
	{
		map textures/bgmpii/waterlogo_pulse.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/bgmpii/waterlogo_shiny
{
	qer_editorimage textures/bgmpii/waterlogo_shiny.tga
	q3map_lightimage textures/bgmpii/waterlogo_shiny.tga
	q3map_surfacelight 50
	{
		map textures/effects/tinfx2.tga
		tcgen environment
	}
	{
		map textures/bgmpii/waterlogo_shiny.tga
		blendfunc gl_one gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/bgmpii/weaponmarker_wood
{
	qer_editorimage textures/bgmpii/woodlogo_wm.tga
	q3map_lightimage textures/bgmpii/woodlogo_wmblend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/bgmpii/woodlogo_wmblend.tga
		rgbgen wave triangle 0.3 0.7 1 0.3
	}
	{
		map textures/bgmpii/woodlogo_wm.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/bgmpii/woodflag
{
	qer_editorimage textures/bgmpii/woodlogoflag.tga
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	deformvertexes wave 194 sin 0 3 0 0.4
	tesssize 64
	nopicmip
	{
		map textures/bgmpii/woodlogoflag.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/bgmpii/woodjp1
{
	qer_editorimage textures/bgmpii/woodjp1.tga
	q3map_lightimage textures/bgmpii/woodjp1_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 800
	{
		map textures/bgmpii/woodjp1_blend.tga
		rgbgen wave triangle 0.3 0.7 1 0.3
	}
	{
		map textures/bgmpii/woodjp1.tga
		blendfunc add
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/bgmpii/woodsplinter
{
	qer_editorimage textures/bgmpii/wood16c_a.tga
	surfaceparm nomarks
	cull disable
	{
		map textures/bgmpii/wood16c_a.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/bgmpii/woodtele
{
	qer_editorimage textures/bgmpii/psi_woodtelefx.tga
	q3map_lightimage textures/bgmpii/psi_woodtelefx.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/bgmpii/psi_woodtelefx.tga
		blendfunc add
		tcmod scale 1 1
		tcmod scroll 0 3
	}
}

textures/bgmpii/woodtele2
{
	qer_editorimage textures/bgmpii/psi_woodtelefx2.tga
	q3map_lightimage textures/bgmpii/psi_woodtelefx2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/bgmpii/psi_woodtelefx2.tga
		blendfunc add
		tcmod scale 1 1
		tcmod scroll 0 3
	}
}

textures/bgmpii/yellowfluoro_2k
{
	qer_editorimage textures/bgmpii/tubelight_yl.tga
	q3map_lightimage textures/bgmpii/tubelight_ylbld.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/bgmpii/tubelight_yl.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/bgmpii/tubelight_ylbld.tga
		blendfunc add
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/skip
{
	qer_nocarve
	qer_trans 0.8
	qer_editorimage textures/meat_tags/tags_skip.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/sfx/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam_1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam_1.tga
		blendfunc add
	}
}

